package nc.vo.ws.esb;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

/**
 * <b> 此处简要描述此类功能 </b>
 * <p>
 *   此处添加累的描述信息
 * </p>
 *  创建日期:2020-11-5
 * @author yonyouBQ
 * @version NCPrj ??
 */
 
public class EsbinfoVO extends SuperVO {
	
/**
*PK_ESBINFO
*/
public java.lang.String pk_esbinfo;
/**
*编码
*/
public java.lang.String code;
/**
*描述名
*/
public java.lang.String name;
/**
*接口类
*/
public java.lang.String interfacename;
/**
*接口URL
*/
public java.lang.String url;
/**
*是否外部接口
*/
public java.lang.String isouter;
/**
*认证号
*/
public java.lang.String certificate;
/**
*创建人
*/
public java.lang.String creator;
/**
*修改人
*/
public java.lang.String modifier;
/**
*是否启用
*/
public java.lang.String isstart;
/**
*创建时间
*/
public UFDateTime createdate;
/**
*修改时间
*/
public UFDateTime editdate;
/**
*自定义项1
*/
public java.lang.String def1;
/**
*自定义项2
*/
public java.lang.String def2;
/**
*自定义项3
*/
public java.lang.String def3;
/**
*自定义项4
*/
public java.lang.String def4;
/**
*自定义项5
*/
public java.lang.String def5;
/**
*时间戳
*/
public UFDateTime ts;
    
    
/**
* 属性 pk_esbinfo的Getter方法.属性名：PK_ESBINFO
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getPk_esbinfo() {
return this.pk_esbinfo;
} 

/**
* 属性pk_esbinfo的Setter方法.属性名：PK_ESBINFO
* 创建日期:2020-11-5
* @param newPk_esbinfo java.lang.String
*/
public void setPk_esbinfo ( java.lang.String pk_esbinfo) {
this.pk_esbinfo=pk_esbinfo;
} 
 
/**
* 属性 code的Getter方法.属性名：编码
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getCode() {
return this.code;
} 

/**
* 属性code的Setter方法.属性名：编码
* 创建日期:2020-11-5
* @param newCode java.lang.String
*/
public void setCode ( java.lang.String code) {
this.code=code;
} 
 
/**
* 属性 name的Getter方法.属性名：描述名
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getName() {
return this.name;
} 

/**
* 属性name的Setter方法.属性名：描述名
* 创建日期:2020-11-5
* @param newName java.lang.String
*/
public void setName ( java.lang.String name) {
this.name=name;
} 
 
/**
* 属性 interfacename的Getter方法.属性名：接口类
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getInterfacename() {
return this.interfacename;
} 

/**
* 属性interfacename的Setter方法.属性名：接口类
* 创建日期:2020-11-5
* @param newInterfacename java.lang.String
*/
public void setInterfacename ( java.lang.String interfacename) {
this.interfacename=interfacename;
} 
 
/**
* 属性 url的Getter方法.属性名：接口URL
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getUrl() {
return this.url;
} 

/**
* 属性url的Setter方法.属性名：接口URL
* 创建日期:2020-11-5
* @param newUrl java.lang.String
*/
public void setUrl ( java.lang.String url) {
this.url=url;
} 
 
/**
* 属性 isouter的Getter方法.属性名：是否外部接口
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getIsouter() {
return this.isouter;
} 

/**
* 属性isouter的Setter方法.属性名：是否外部接口
* 创建日期:2020-11-5
* @param newIsouter java.lang.String
*/
public void setIsouter ( java.lang.String isouter) {
this.isouter=isouter;
} 
 
/**
* 属性 certificate的Getter方法.属性名：认证号
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getCertificate() {
return this.certificate;
} 

/**
* 属性certificate的Setter方法.属性名：认证号
* 创建日期:2020-11-5
* @param newCertificate java.lang.String
*/
public void setCertificate ( java.lang.String certificate) {
this.certificate=certificate;
} 
 
/**
* 属性 creator的Getter方法.属性名：创建人
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getCreator() {
return this.creator;
} 

/**
* 属性creator的Setter方法.属性名：创建人
* 创建日期:2020-11-5
* @param newCreator java.lang.String
*/
public void setCreator ( java.lang.String creator) {
this.creator=creator;
} 
 
/**
* 属性 modifier的Getter方法.属性名：修改人
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getModifier() {
return this.modifier;
} 

/**
* 属性modifier的Setter方法.属性名：修改人
* 创建日期:2020-11-5
* @param newModifier java.lang.String
*/
public void setModifier ( java.lang.String modifier) {
this.modifier=modifier;
} 
 
/**
* 属性 isstart的Getter方法.属性名：是否启用
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getIsstart() {
return this.isstart;
} 

/**
* 属性isstart的Setter方法.属性名：是否启用
* 创建日期:2020-11-5
* @param newIsstart java.lang.String
*/
public void setIsstart ( java.lang.String isstart) {
this.isstart=isstart;
} 
 
/**
* 属性 createdate的Getter方法.属性名：创建时间
*  创建日期:2020-11-5
* @return nc.vo.pub.lang.UFDateTime
*/
public UFDateTime getCreatedate() {
return this.createdate;
} 

/**
* 属性createdate的Setter方法.属性名：创建时间
* 创建日期:2020-11-5
* @param newCreatedate nc.vo.pub.lang.UFDateTime
*/
public void setCreatedate ( UFDateTime createdate) {
this.createdate=createdate;
} 
 
/**
* 属性 editdate的Getter方法.属性名：修改时间
*  创建日期:2020-11-5
* @return nc.vo.pub.lang.UFDateTime
*/
public UFDateTime getEditdate() {
return this.editdate;
} 

/**
* 属性editdate的Setter方法.属性名：修改时间
* 创建日期:2020-11-5
* @param newEditdate nc.vo.pub.lang.UFDateTime
*/
public void setEditdate ( UFDateTime editdate) {
this.editdate=editdate;
} 
 
/**
* 属性 def1的Getter方法.属性名：自定义项1
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getDef1() {
return this.def1;
} 

/**
* 属性def1的Setter方法.属性名：自定义项1
* 创建日期:2020-11-5
* @param newDef1 java.lang.String
*/
public void setDef1 ( java.lang.String def1) {
this.def1=def1;
} 
 
/**
* 属性 def2的Getter方法.属性名：自定义项2
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getDef2() {
return this.def2;
} 

/**
* 属性def2的Setter方法.属性名：自定义项2
* 创建日期:2020-11-5
* @param newDef2 java.lang.String
*/
public void setDef2 ( java.lang.String def2) {
this.def2=def2;
} 
 
/**
* 属性 def3的Getter方法.属性名：自定义项3
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getDef3() {
return this.def3;
} 

/**
* 属性def3的Setter方法.属性名：自定义项3
* 创建日期:2020-11-5
* @param newDef3 java.lang.String
*/
public void setDef3 ( java.lang.String def3) {
this.def3=def3;
} 
 
/**
* 属性 def4的Getter方法.属性名：自定义项4
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getDef4() {
return this.def4;
} 

/**
* 属性def4的Setter方法.属性名：自定义项4
* 创建日期:2020-11-5
* @param newDef4 java.lang.String
*/
public void setDef4 ( java.lang.String def4) {
this.def4=def4;
} 
 
/**
* 属性 def5的Getter方法.属性名：自定义项5
*  创建日期:2020-11-5
* @return java.lang.String
*/
public java.lang.String getDef5() {
return this.def5;
} 

/**
* 属性def5的Setter方法.属性名：自定义项5
* 创建日期:2020-11-5
* @param newDef5 java.lang.String
*/
public void setDef5 ( java.lang.String def5) {
this.def5=def5;
} 
 
/**
* 属性 生成时间戳的Getter方法.属性名：时间戳
*  创建日期:2020-11-5
* @return nc.vo.pub.lang.UFDateTime
*/
public UFDateTime getTs() {
return this.ts;
}
/**
* 属性生成时间戳的Setter方法.属性名：时间戳
* 创建日期:2020-11-5
* @param newts nc.vo.pub.lang.UFDateTime
*/
public void setTs(UFDateTime ts){
this.ts=ts;
} 
     
    @Override
    public IVOMeta getMetaData() {
    return VOMetaFactory.getInstance().getVOMeta("ic.bgy_esbinfo");
    }
   }
    